<?php

class WactExamplesTagsOptionalTestCase extends Wact_Test_Case_Web {

    function testRed() {
        $this->assertTrue($this->get($this->getTestServerUrl('/acceptance/template/tags/core/if.php')));
        $this->assertNormalPage();
        $this->assertWantedLiteral('link not clicked');
        $this->assertNoUnWantedLiteral('You clicked the link');
        $this->clickLink('Click Me!');
        $this->assertNormalPage();
        $this->assertWantedLiteral('You clicked the link');
        $this->assertNoUnWantedLiteral('link not clicked');
    }

}
?>